## pidgin-mrim 0.1.24

=== Makefile ===
## Настройки компилятора

ifndef CC
CC = gcc
endif

ifndef LIBDIR
LIBDIR="lib"
endif

#ifndef CFLAGS
#CFLAGS = -O1 -pipe -shared -fPIC -DPIC -g -ggdb -std=gnu99 -pedantic
CFLAGS = -Os -pipe -shared -fPIC -DPIC  -std=gnu99
#endif

PURPLE_CFLAGS = $(CFLAGS)
PURPLE_CFLAGS += $(shell pkg-config --cflags purple)
#PURPLE_CFLAGS += $(shell pkg-config --libs glib-2.0)

#INCLUDE_PATHS := -I$(PIDGIN_TREE_TOP)/../win32-dev/w32api/include
#LIB_PATHS := -L$(PIDGIN_TREE_TOP)/../win32-dev/w32api/lib

#PURPLE_CFLAGS += $(INCLUDE_PATHS) 
#PURPLE_CFLAGS += $(LIB_PATHS) 

## Сборка
# Для gentoo: make compile
all:
	make compile
	strip -s mrim.so
compile:
	rm -fv *.so
	${CC} ${PURPLE_CFLAGS} message.c cl.c package.c mrim.c -o mrim.so
debug:
	make compile
install:
	install -Dm0644 mrim.so ${DESTDIR}/usr/${LIBDIR}/purple-2/mrim.so
	install -Dm0644 pixmaps/mrim16.png  ${DESTDIR}/usr/share/pixmaps/pidgin/protocols/16/mrim.png
	install -Dm0644 pixmaps/mrim22.png  ${DESTDIR}/usr/share/pixmaps/pidgin/protocols/22/mrim.png
	install -Dm0644 pixmaps/mrim48.png  ${DESTDIR}/usr/share/pixmaps/pidgin/protocols/48/mrim.png
win32:
	rm -fv *.dll
	${CC} ${PURPLE_CFLAGS} message.c cl.c package.c mrim.c -o mrim.dll
	strip -s mrim.dll
uninstall:
	rm -fv ${DESTDIR}/usr/${LIBDIR}/purple-2/mrim.so
	rm -fv ${DESTDIR}/usr/share/pixmaps/pidgin/protocols/16/mrim.png
	rm -fv ${DESTDIR}/usr/share/pixmaps/pidgin/protocols/22/mrim.png
	rm -fv ${DESTDIR}/usr/share/pixmaps/pidgin/protocols/48/mrim.png
clean:
	rm -rfv *.o *.c~ *.h~ *.so *.la *.libs *.dll

=== debian/changelog ===
pidgin-mrim (0.1.24) unstable; urgency=low

  * Initial release .

 -- Eugene Degtyarev <degtep@gmail.com>  Wed, 15 Jan 2011 15:20:24 +0100

=== debian/control ===
Source: pidgin-mrim
Section: net
Priority: optional
Maintainer: Jonathan Davies <jpds@ubuntu.com>
Uploaders: Eugene Degtyarev <degtep@gmail.com>
Build-Depends: debhelper (>= 5), libglib2.0-dev, libpurple-dev, libjson-glib-dev, zlib1g-dev
Standards-Version: 3.8.3
Homepage: http://code.google.com/p/mrim-prpl/

Package: pidgin-mrim
Architecture: any
Depends: ${shlibs:Depends}, libpurple0 (>= 2.3.0), libjson-glib-1.0-0, zlib1g
Description: Facebook Chat plugin for Pidgin
 This is a Facebook chat plugin for Pidgin and libpurple messengers. It connects
 to the new Facebook Chat IM service without the need for an API key.
 .
 Currently the plugin can log into the Facebook servers, grab the buddy list,
 send/receive messages, add/remove friends, receive notifications, search for
 Facebook friends and set your Facebook status.

## pidgin-mrim 0.1.24-maemo0

=== debian/changelog ===
pidgin-mrim (0.1.24-maemo0) unstable; urgency=low

  * Add icon and fix problems

 -- Eugene Degtyarev <degtep@gmail.com>  Sat, 15 Jan 2011 20:01:55 +0300

=== debian/rules ===
#!/usr/bin/make -f
#
# debian/rules file for the pidgin-mrim plugin.
#


build: build-stamp

build-stamp: 
	dh_testdir
	$(MAKE) 
	touch build-stamp

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp
	[ ! -f Makefile ] || $(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) DEB_PACKAGE_DIR=$(CURDIR)/debian/pidgin-mrim

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_install
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## pidgin-mrim 0.1.24-maemo1

=== debian/changelog ===
pidgin-mrim (0.1.24-maemo1) unstable; urgency=low

  * Fix build bug

 -- Eugene Degtyarev <degtep@gmail.com>  Sat, 15 Jan 2011 21:00:25 +0300

=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 	dh_testroot
 	dh_clean -k
 	dh_installdirs
-	$(MAKE) DEB_PACKAGE_DIR=$(CURDIR)/debian/pidgin-mrim
+	$(MAKE) DEB_PACKAGE_DIR=$(CURDIR)/debian/pidgin-mrim install
 
 binary-indep: build install

## pidgin-mrim 0.1.24-maemo2

=== debian/changelog ===
pidgin-mrim (0.1.24-maemo2) unstable; urgency=low

  * Got this worked

 -- Eugene Degtyarev <degtep@gmail.com>  Sat, 15 Jan 2011 21:50:45 +0300

=== debian/control ===
Source: pidgin-mrim
Section: user/network
Priority: optional
Maintainer: Jonathan Davies <jpds@ubuntu.com>
Uploaders: Eugene Degtyarev <degtep@gmail.com>
Build-Depends: debhelper (>= 5), libglib2.0-dev, libpurple-dev, libjson-glib-dev, zlib1g-dev,libgconf2-dev
Standards-Version: 3.8.3
Homepage: http://code.google.com/p/mrim-prpl/

Package: pidgin-mrim
Section: user/network
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, libpurple0 (>= 2.3.0), libjson-glib-1.0-0, zlib1g
Description: Mail.ru agent plugin for Pidgin
XB-Maemo-Display-Name: Mail.ru agent plugin for Pidgin
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABGdBTUEAAK/I
 NwWK6QAAABl0RVh0U29mdHdhcmUAQWRvYmUgSW1hZ2VSZWFkeXHJZTwAAAry
 SURBVHja1FoJdFNlFn7Jy9YsTZPSNknTNW2thNJSqKa4lBGwUEvnAIpFGMbB
 4xlEcVxQkWGTusDBM6IoqCiiUAcFDgqcYSsgUGglQ0VqS5o2XbM0aWmbpM36
 lnkv0Pjy8gJJW2fG/5x7+vLe/f//fve/9/73/n9pKIoCv+dGGwsApvYGOdLz
 UxHbeT2f7dFncJAeKRN1CIg8Q3RJhxeMtbg5KVpIMKGWOS6vOl4qc/3PAPQY
 DRzIeOIJnq2mONrbPBF7lR1JfwhgX+1n5l3wSmbsl42feeG/BgAXHO48uDzW
 drwc03LBGFiBxg6maG0Jj29LzCmp+k0BGK4eLBObK1+KAvqKfgNz1gwwlWpn
 +vLV0lSlfswBWC5UVMQ7Tj8aqalE2rw0rtoifW51uKtxRwCmrnYhr/mtT+9g
 5xrcSYc4SjXMTjDAfMU1kMH0AlHJWgAeEqAui5w+1JENOHulAue/i3hId8od
 FKExxS7ZIp2ydNeoAODRJbq54jNswmKq705AfG5ANGsfEH/f0UiW3aQ9XwCa
 z5WJHdWlDMCdFwqEhTv9QPwDa9eOCACu+WjNqm+ohHcBwkv9okf2gEmlu0cT
 Co1dOjGrbdffxzkvloRYEY1ZUFKZMPXVNyMGMHDm2a9ivA1/onS0zFdWSJNS
 rWNl93hwiLd8viZEVNMYEla8lpg3/3DYAHCHjbNXLcAeswivtZaYR/bcThuj
 AtF8WSlu3fQRB74RFOFgkHPVkvbGElmWqv6OAPR1B+Ymdm/bRBbeJFr4vqxw
 2fZwd2bccX0T0EEY4Kc3SGVyRzj9YprW7qUC4QJjzw3mfTQzLkHqDQkAt/uY
 n1ccZ6M2FZGpl/fgu/EPVbxyW3tuPPUAs7vqMb6jsQDrLyYrwE2L7rPGFB1G
 5bP33M7h8ZWI16zZC1I4t0U0Z7Xk/pXvhATQXf3u6/H9R94OyGFoCVXOyVvn
 hHJWo7Y2h938xWoRosknCU3ZUISuuSG4/yhNuXw1WZt+EOq9i6TdO9eRx4Ox
 9KMnb8d0WZKib/gdnah9Uc+pBQCC/fiVtLaUJzeHEh43t9iG9V+JIE05xptF
 6ktJNADJHmc/v5KlXnUANxmqcRMLFlfe4KlOkPuCiDuP1vLtc0RePwC0/dgi
 EHLlIR6M9xb1M7LrQu2IuPAS3bZN5D7hEs/ZXsZq+GBLa1N9srHm4+U9Z177
 wNxw0m/7UOYza91enprcL+bGhVI8HxvmYww/cHvOl6FwoEM7pXN2Uy6xpjYn
 tvmTNzDzC2UyNRCDb3PThQMojD3BZhn2rpDMFG2/Xk6/trEc+35T6L56FaB8
 +B78GQ/TxrbZlXHG/QGhlQEMFngMZ+cDssWVfgCG5p8UcQ5DGlF8DyhQsxMn
 n6GSjtPw6XrQ686h2EFqrNF5anf6gs/lE+6/FvWreUZ728+UivUHl7Bge8DG
 yIPMwPA4IDQoxLUbJ0v0mSwzY94nbsPxRVifABAs0+UZAEAAQOuuLUahQIex
 CydeklI4mb7uaHGcvSVIeC/IP9Gv+POHSVMfP0rug2nTBiQt/drYVfQvUL1t
 XYytTkW1IrjTQrCX7dvssYYD0ccWHY4zHg0AEGVtUQb4ANjTNDmo4IjJvkKl
 fWZ70AYHeGDO6V7li+uphCc2LHoMJMzb+tJAdH5t2Oly2sx/4mE4QAZ4UIib
 sR8Aw25KRmHMkQlEEykagooZs4nJ7W/MJ/MOJEw7kZo/88ewU+ZJz72JgyaP
 g1NQRMqcpBsE4vUkviykryPLD4A52CtFIBQgkA4UynXkwdw9uhwQcuYReT0u
 5nna3XO/iiRtkKdl9OGgSXP6iDLr5aVrgvisvpT8pg/QvR4OQrB2hMlyUSVr
 qM2QhjgD3w3yUprlirvNkeY+qFT1A9JyLPg9lvkEveMn6hADybRc1nF+ACiE
 KgJ2PJiGUE7qdHNRkpYQjqhvJMkbKJToUSi8ahABefYgXreHTQBA9tTbaA4a
 uww03LFoIMsVitfnAwgE6DAChonmdHG7u7uDYKBskYXIhxPd1S8eifCwtVtO
 HgsJISTiGBKQ+SA6d9APAEbZLhTzAQIpYKslKE8BxfIW7JuOyMvu7sg0tDRK
 IwWANNVMI83pI0qwHogZxBclMvsBOJmSTtzGiAT1dASlCfLxk3QehrCPyEdz
 uR70Xj60OBLh9W0tYq72bAl5Tt+8g4NCMj+jtz2bzEcT3YySN1dAJOnAoxCR
 YEMzZbHtiFOqyby8ayfnttWcujfsU7nDH6ynO5zTyOPg5G08XxZQ5Bj1XEZ3
 y8QA2WCGlim766rfiWFZzo9oU+2yAHNpb6A+dcuduQ/VXpyNPaURRCrkfLfl
 rVZrz4fps574LmTR06qN8xz5cA2v40phqPjDvXzkSZ3Tw6ErJl5CXQ4+reli
 Kd/aO5XI746X6+TpWWZ/QaNv/EnB2vHsKaJQCI2pRV7Y+aDsFiOxdWx+6kCU
 /vp8ivnVjowpNbT7ynemTJn6C9FkPL9Uz4yq/vpp0DE4fbTRy37v/FWKxS9v
 DqjIOtc8fopj7ZoRwDh14QuKhSveJw/Q9fNlJfj5qm8YqEsZYg61mynqQ7l8
 my97tXalYn8oV3QoKh6rDSzhOz+mWPTFLwqlael9AQUNNKHoMIzlgERiqY8v
 spiMHPIgSbn3NLhmL1+L8bSR+9yiAoa9v5hp7noMJ/x3CL426/SlJS66sC7E
 9yD+oXvKdg0LHwAg6t5ZlTDIq0e9mJffIrCvr8B25tDTVJpIn/3oIee8l16G
 AUwjhD6RkDNDVZVXXHYMKv3remzItjvxD8kmVQ+bjt9XN2zY4HsQiEROs9EU
 y2zTPESsQ+ntzcnWtJwqoUR6gwxClDle0y+7qxpqbUoDbVYWxi8Mpy7GqNOt
 LPyWv2Tl8zyBABIpsrU3ohPrIX27JMQ4nc7cP+yO/svKv+H8oY9V2lrF7opn
 TjMctoAQ6omTneO++t4cSVKyPZRtth47MBepPTuX1XE9n+5y4rczySSWToQT
 ZffkqKqYRaW7MSe/Snk21KJN8JqNaZDTwUctXRk0nrCPnTmhNnH8hM6wTuZa
 v9+3gLFn6xayAB7l5D0Zb3y0JBxH67z4gwoXADZ1+jZDUJqsBWNiekMJPeZX
 TNqNK3ew66qXkeXy5k4+J3h61bIEeZID+D9plADM+i6ufePL34P6zhlBeYk8
 uYr9/NqnkibkdI7ZuWjjL8lDR/YvB4xY+iJL0QrmL3pPmpFlHjEA3+ZzvVHu
 qnh1PzjQqwoCwYu+Cj1ctltcOu+T0d40Nm3/x2uM498tpUMef+4FJSuOZX5c
 WTLqG5rOn+uyPJvXfUnv7VFRbipCoQ8I/6Hp32JVmSkSwdvOnVW59+5cx+rQ
 4cU5OfPV8788lBmOcu54xYSvhH3Txs9YXW3Ft2PzKhT16N25l5hZ2VdAQXQ/
 Mz5BzxCJzRKJxIvXFh4ssrhbWpWwQa9Ar9TOwMZTUgh+M9fJzt03fvunC8fs
 kg/fjXs/3lHB+uFkeahJQwEjZuNhnVikpp2I2fD2E8TddsyuWXWnThZ59u56
 ndkeWnsjbViOo4Nnl1TGLnnynUj8akQ39c0HD8yFvt6zkmEyJY8WCI1J07sn
 q07yFpRvTVUV1o9JGI0EiPf0yQWMxsYCwOU7JQgXjB6SYRVVXu4l/h/n7E7O
 zdeO6T4wkoabl/d6YwHc0aWgmUwpgMvF9X+UjDOhUYIBGp87CKamN3ALppwZ
 q32E9nv/d5v/CDAAEnKmgRizEEYAAAAASUVORK5CYII=
 ====

=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 	dh_testroot
 	dh_clean -k
 	dh_installdirs
-	$(MAKE) DEB_PACKAGE_DIR=$(CURDIR)/debian/pidgin-mrim install
+	$(MAKE) DESTDIR=$(CURDIR)/debian/pidgin-mrim install
 
 binary-indep: build install
